package com.jasamedika.medifirst2000.vo;

import javax.persistence.Column;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.validation.constraints.NotNull;
import com.jasamedika.medifirst2000.base.vo.BaseTransactionVO;
import com.jasamedika.medifirst2000.helper.Caption;

public class FactoRateKelompokShiftVO extends BaseTransactionVO {
	
	@ManyToOne
	@JoinColumn(name = "KelompokShiftFk")
	@NotNull(message = "KelompokShift Harus Diisi")
	@Caption(value = "KelompokShift")
	private KelompokShiftVO kelompokShift;
	
	@Column(name = "KelompokShiftFk", insertable = false, updatable = false)
	private Integer kelompokShiftId;
	
	@ManyToOne
	@JoinColumn(name = "KomponenIndexFk")
	@NotNull(message = "KomponenIndex Harus Diisi")
	@Caption(value = "KomponenIndex")
	private KomponenIndexVO komponenIndex;
	
	@Column(name = "KomponenIndexFk", insertable = false, updatable = false)
	private Integer komponenIndexId;
	
	@Caption(value = "periode")
	@Column(name = "periode", nullable = false)
	private String periode;
	
	@Column(name="FactorRate", nullable = false)
	@Caption(value="Factor Rate")
	private Double factorRate;
	
	private Integer hari;
	
	@Column(name="Value", nullable = false)
	@Caption(value="Value")
	private Integer value;
	
	@Column(name = "isTangguhkanSisaCuti")
	@Caption(value = "Tangguhkan Sisa Cuti")
	private Boolean isTangguhkan;

	public KelompokShiftVO getKelompokShift() {
		return kelompokShift;
	}

	public void setKelompokShift(KelompokShiftVO kelompokShift) {
		this.kelompokShift = kelompokShift;
	}

	public Integer getKelompokShiftId() {
		return kelompokShiftId;
	}

	public void setKelompokShiftId(Integer kelompokShiftId) {
		this.kelompokShiftId = kelompokShiftId;
	}

	public String getPeriode() {
		return periode;
	}

	public void setPeriode(String periode) {
		this.periode = periode;
	}

	public Double getFactorRate() {
		return factorRate;
	}

	public void setFactorRate(Double factorRate) {
		this.factorRate = factorRate;
	}

	public KomponenIndexVO getKomponenIndex() {
		return komponenIndex;
	}

	public void setKomponenIndex(KomponenIndexVO komponenIndex) {
		this.komponenIndex = komponenIndex;
	}

	public Integer getKomponenIndexId() {
		return komponenIndexId;
	}

	public void setKomponenIndexId(Integer komponenIndexId) {
		this.komponenIndexId = komponenIndexId;
	}

	public Integer getHari() {
		return hari;
	}

	public void setHari(Integer hari) {
		this.hari = hari;
	}

	public Integer getValue() {
		return value;
	}

	public void setValue(Integer value) {
		this.value = value;
	}

	public Boolean getIsTangguhkan() {
		return isTangguhkan;
	}

	public void setIsTangguhkan(Boolean isTangguhkan) {
		this.isTangguhkan = isTangguhkan;
	}

}
